跳至內容
ShopentlyLearn

建立 · 商品變體 — 變體與選項

建立變體組合. 適用於外部整合操作。

POST/api/v1/products/{product_id}/variants

cURL 請求

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request POST \
  --url https://shop.onshopently.com/api/v1/products/example/variants \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: example-create_variant_api_v1_products__product_id__variants_post' \
  --header 'Content-Type: application/json' \
  --data-raw '{"expected_version":1,"value_ids":["example"]}'

回應

{
  "data": {
    "deleted": false,
    "id": "example",
    "version": 1
  },
  "meta": {
    "request_id": "example"
  }
}

所需權限

身份驗證
存取權杖
最低方案
STANDARD
金鑰權限
建立變體組合catalog.product_variant:create